### Method

# GUPnP Context set_acl

#### Declaration [src]

    void
    gupnp_context_set_acl (
      GUPnPContext* context,
      GUPnPAcl* acl
    )

#### Description [src]

Attach or remove the assoicated access control list to this context. If `acl` is `NULL`, the current access control list will be removed.

Available since: | 0.20.11

Sets property | `GUPnP.Context:acl`

#### Parameters

`acl` | `GUPnPAcl`
| The new access control list or `NULL` to remove the current list.
| The argument can be `NULL`.
| The data is owned by the caller of the function.